Skip to main content
GET
/
pipelines
/
{id}
/
actions
/
{actionId}
curl "https://api2.ecomailapp.cz/pipelines/42/actions/abc-123" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "data": {
    "id": "abc-123",
    "type": "mail",
    "properties": {
      "name": "Welcome email",
      "template": 42
    }
  }
}
id
integer
required
Automation ID.
actionId
string
required
Action ID.
curl "https://api2.ecomailapp.cz/pipelines/42/actions/abc-123" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "data": {
    "id": "abc-123",
    "type": "mail",
    "properties": {
      "name": "Welcome email",
      "template": 42
    }
  }
}

Action types

TypeDescription
mailSend an email.
smsSend an SMS.
waitWait for a specified duration.
checkConditional branch (if/else).
splitA/B split test.
tagAdd a tag to the subscriber.
untagRemove a tag from the subscriber.
subscribeSubscribe to a list.
unsubscribeUnsubscribe from a list.
editEdit subscriber fields.
webhookSend a webhook.
triggerTrigger another automation.
goalGoal (wait for condition).
endEnd of automation.
noteInternal note.